namespace igGridEntityFramework.Data
{
    using System;
    using System.Data.Entity;
    using System.ComponentModel.DataAnnotations.Schema;
    using System.Linq;

    public partial class ApplicationContext : DbContext
    {
        public ApplicationContext()
            : base()
        {
        }

        public virtual DbSet<TestCountry> TestCountries { get; set; }
        public virtual DbSet<TestProduct> TestProducts { get; set; }

        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            modelBuilder.Entity<TestCountry>()
                .Property(e => e.Code)
                .IsUnicode(false);

            modelBuilder.Entity<TestProduct>()
                .Property(e => e.Code)
                .IsUnicode(false);
        }
    }
}
