﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace igGridEntityFramework.Data
{
    public class ApplicationInitializer : System.Data.Entity.DropCreateDatabaseIfModelChanges<ApplicationContext>
    {
        protected override void Seed(ApplicationContext context)
        {
            var students = new List<TestCountry>
            {
                new TestCountry { CountryId=0, Code="US", Name="United States of America" },
                new TestCountry { CountryId=1, Code="UK", Name="United Kingdom" },
                new TestCountry { CountryId=2, Code="BG", Name="Bulgaria" },
            };

            students.ForEach(s => context.TestCountries.Add(s));
            context.SaveChanges();
            var courses = new List<TestProduct>
            {
                new TestProduct { ProductId=0, Code="PCZ", Name="Product 0" },
                new TestProduct { ProductId=1, Code="PCO", Name="Product 1" },
                new TestProduct { ProductId=2, Code="PCT", Name="Product 2" },
            };
            courses.ForEach(s => context.TestProducts.Add(s));
            context.SaveChanges();
        }
    }
}